// Toggle NIK
$("#jenis-nasabah").on("change", function () {
  const jenis = parseInt($(this).val());
  const nik = $("#nik").parent();

  if (jenis == 0) {
    nik.removeClass("d-none").addClass("fade-in");
    $("#nik").attr("disabled", false);
  } else {
    nik.addClass("fade-out");

    nik.on("animationend", function () {
      nik.addClass("d-none").removeClass("fade-out");
      $("#nik").attr("disabled", true);
      nik.off("animationend");
    });
  }
});

// Toggle Password
$("#togglePassword").on("click", function () {
  const $passwordField = $("#password");
  const passwordFieldType = $passwordField.attr("type");

  if (passwordFieldType === "password") {
    $passwordField.attr("type", "text");
  } else {
    $passwordField.attr("type", "password");
  }
});

$("#nik").on("input", function () {
  // Menghapus semua karakter yang bukan angka
  $(this).val($(this).val().replace(/\D/g, ""));

  // Memastikan panjang input tidak melebihi 16 karakter
  if ($(this).val().length > 16) {
    $(this).val($(this).val().slice(0, 16));
  }
});

// Toggle jenis Akun
$("#jenisAkun").on("click", function () {
  const teksJenis = $("#text-jenis-akun");
  const deskripsiJenis = $("#deskripsi-jenis-akun");
  const labelNama = $("#label-nama");
  const jenisNasabah = $("#jenis-nasabah").parent();
  const jenisBankSampah = $("#jenis-bank-sampah").parent();

  if ($(this).is(":checked")) {
    // Action buat Bank Sampah
    teksJenis.text("Bank Sampah");
    deskripsiJenis.text(
      "Daftarkan Bank Sampah anda sekarang untuk lingkungan yang lebih indah 🌳"
    );
    labelNama.text("Nama Bank Sampah");
    jenisBankSampah.removeClass("d-none");
    jenisNasabah.addClass("d-none");
  } else {
    // Action buat Nasabah
    teksJenis.text("Nasabah");
    deskripsiJenis.text(
      "Buat akun nasabah pertama anda dan mulai menabung di E-Bank Sampah 🗑️"
    );
    labelNama.text("Nama Lengkap");
    jenisBankSampah.addClass("d-none");
    jenisNasabah.removeClass("d-none");
  }
});
